import request from '@/utils/httpRequest'

export default class MaterialTypeService {
  list (param) {
    return request({
      url: '/material/materialType/list',
      method: 'get',
      params: param
    })
  }
  bxList (param) {
    return request({
      url: '/material/materialType/bxList',
      method: 'get',
      params: param
    })
  }
  cgList (param) {
    return request({
      url: '/material/materialType/cgList',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/material/materialType/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/material/materialType/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: '/material/materialType/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
}
